\name{SelIndices}
\alias{SelIndices}
\title{
  Slice A Matrix Along A Dimension
}
\description{
  This function allows to select a subensemble from a matrix of any dimensions, 
  providing the dimension along which the user aims at cutting the matrix and 
  between which indices.
}
\usage{
  SelIndices(var, posdim, limits)
}
\arguments{
  \item{var}{
    A matrix of any rank and any dimensions.
  }
  \item{posdim}{
    The dimension along which a submatrice should be selected.
  }
  \item{limits}{
    The lower and upper indice of the selection along the (posdim)th dimension.
  }
}
\value{
  The sliced matrix.
}
\author{
  History:
  1.0  -  2011-04  (V. Guemas, \email{vguemas@ic3.cat})  -  Original code
}
\keyword{datagen}
